com.ihr.xbrl.dts

## Class XBRLRoleArcroleTypeFormatter

- java.lang.Object
- - com.ihr.xbrl.dts.XBRLRoleArcroleTypeFormatter

-     public class XBRLRoleArcroleTypeFormatter
      extends java.lang.Object

  This class provides text to identify a user defined or static role type in an user friendly and language neutral manner .
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLRoleArcroleTypeFormatter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getArcroleTypeString(XBRLArcroleType arcrole)` Static method to format an arc role type.
    `static java.lang.String` | `getRoleTypeString(XBRLRoleType role)` Static method to format a role type.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLRoleArcroleTypeFormatter

          public XBRLRoleArcroleTypeFormatter()

  - ### Method Detail

    - #### getRoleTypeString

          public static java.lang.String getRoleTypeString(XBRLRoleType role)

      Static method to format a role type.

      The method first tries to get the role definition. If a role definition exist, then the role definition is returned.

      Secondly, the role URI is processed. If the role URI starts with the standard http://www.xbrl.org/2003/role/ then that part of the role is skipped.

      Parameters:
        `role` - the role
      Returns:
        String text representing the role

    - #### getArcroleTypeString

          public static java.lang.String getArcroleTypeString(XBRLArcroleType arcrole)

      Static method to format an arc role type.

      The method first tries to get the arc role definition. If an arc role definition exist, then the arc role definition is returned.

      Secondly, the arc role URI is processed. If the arc role URI starts with the standard http://www.xbrl.org/2003/arcrole/ then that part of the role is skipped.

      Parameters:
        `arcrole` - the arcrole
      Returns:
        String text representing the arc role